- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
qi::GenericFunctionParameters Class Reference

`#include <anyfunction.hpp>`

## Public Member Functions
| GenericFunctionParameters ()
| GenericFunctionParameters (const AnyReferenceVector &)
GenericFunctionParameters | copy (bool notFirst=false) const
| Copy arguments. destroy() must be called on the result. More...
GenericFunctionParameters | convert (const Signature &sig) const
| Convert the arguments to given signature. destroy() must be called on the result. More...
qi::Signature | signature (bool dyn) const
void | destroy (bool notFirst=false)

## Detailed Description

Store function parameters as a list of AnyReference. Storage can be on the stack or allocated Memory management is the responsibility of the user. If GenericFunctionParameters is obtained throug copy(), convert() or fromBuffer(), it must be cleared by destroy()

Definition at line 266 of file anyfunction.hpp.

## Constructor & Destructor Documentation

qi::GenericFunctionParameters::GenericFunctionParameters | ( |  | ) |

qi::GenericFunctionParameters::GenericFunctionParameters | ( | const AnyReferenceVector & |  | ) |

## Member Function Documentation

GenericFunctionParameters qi::GenericFunctionParameters::convert | ( | const Signature & | sig | ) | const

Convert the arguments to given signature. destroy() must be called on the result.

GenericFunctionParameters qi::GenericFunctionParameters::copy | ( | bool | notFirst = `false` | ) | const

Copy arguments. destroy() must be called on the result.

void qi::GenericFunctionParameters::destroy | ( | bool | notFirst = `false` | ) |

qi::Signature qi::GenericFunctionParameters::signature | ( | bool | dyn | ) | const

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/anyfunction.hpp